/* udp.h */
/* Definitions for the UDP example model */

/****************************************/
/*		Copyright (c) 1987-1993			*/
/*			by MIL 3, Inc.				*/
/*		(A Delaware Corporation)		*/
/*	3400 International Drive,  N.W.		*/
/*		Washington, D.C., U.S.A.		*/
/*			All Rights Reserved.		*/
/****************************************/

/***** Includes *****/

/***** External Globals *****/

/***** Constants *****/

/* Stream indices for interface to network layer. */
#define UDPC_INSTRM_NETWORK				0
#define UDPC_OUTSTRM_NETWORK			0

/***** Macros *****/

/***** Typedefs *****/

/* UdpT_Tcb : Transmission Control Block */
typedef struct
	{
	/* Application and connection identification information. */
	Objid					app_objid;
	int						strm_index;

	/* Socket information. */
	UdpT_Port				local_port;

	} UdpT_Tcb;

/***** Procdecs *****/

/***** Base Globals *****/

/***** Procedures *****/
